# Created by pyp2rpm-3.3.8
%global pypi_name pytrie
%global srcname PyTrie

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 1
Summary:        A pure Python implementation of the trie data structure
Group:          Development/Python
License:        None
URL:            https://github.com/gsakkis/pytrie/
Source0:        %{pypi_source}
Patch1:         0001-Drop-has_key-and-__cmp__-methods-Python2-leftovers.patch
Patch2:         0002-Replace-Node.numkeys-with-__len__.patch
Patch3:         0003-Regenerated-Sphinx-docs.patch
BuildArch:      noarch
BuildRequires:  git-core
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sortedcontainers)
BuildRequires:  python3dist(sphinx)

%description
pytrie is a a pure Python 3 implementation of the trie data structure. A trie
is an ordered tree data structure that is used to store a mapping where the
keys are sequences, usually strings over an alphabet. In addition to
implementing the mapping interface, tries allow finding the items for a given
prefix, and vice versa, finding the items whose keys are prefixes of a given
key.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pytrie is a a pure Python 3 implementation of the trie data structure. A trie
is an ordered tree data structure that is used to store a mapping where the
keys are sequences, usually strings over an alphabet. In addition to
implementing the mapping interface, tries allow finding the items for a given
prefix, and vice versa, finding the items whose keys are prefixes of a given
key.

%prep
%autosetup -n PyTrie-%{version} -p1 -Sgit_am

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

# generate html docs
PYTHONPATH=%{buildroot}%{python3_sitelib} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%doc html


%changelog
* Sun Jan 15 2023 wally <wally> 0.4.0-1.mga9
+ Revision: 1933573
- imported package python-pytrie

